<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/sell.png" width="32px" height="32px" style="vertical-align: middle;"/>
			FX Request</h1>
			
		</header>
		
		<div class="row uniform">
			<div class="12u$ 12u$(small)">
				<br/>
				<p>In arcu accumsan arcu adipiscing accumsan orci ac. Felis id enim aliquet. Accumsan ac integer lobortis commodo ornare aliquet accumsan erat tempus amet porttitor. Ante commodo blandit adipiscing integer semper orci eget. Faucibus commodo adipiscing mi eu nullam accumsan morbi arcu ornare odio mi adipiscing nascetur lacus ac interdum morbi accumsan vis mi accumsan ac praesent.</p>
			</div>
			<div id="formView" class="12u$ 12u$(small)">
				<div class="row uniform">
					<div class="12u$ 12u$(small)">
						<a href="#" class="button default small icon fa-search" data-bind="click: lookupFormM">Lookup Form M</a>
					</div>
					<div class="12u$ 12u$(small)">
						<hr/>
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtApplicationNo">Application Number</oj-label>
						<oj-input-text placeholder='Applicantion Number' id="txtApplicationNo"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' value="{{inputAppNo}}"
										></oj-input-text>
						
					</div>
					<div class="4u 12u$(small)">
						<oj-label for="txtFormM">Form M Number</oj-label>
						<oj-input-text placeholder='Form M Number' id="txtFormM"  inputmode="text" value="{{inputFormMNo}}"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-label for="txtAmount">FX Amount</oj-label>
						<oj-input-text placeholder='FX Amount' id="txtAmount"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					
					<div class="12u$ 12u$(medium)">
						<oj-label for="txtLetter">Application Note</oj-label>
						<oj-text-area id="txtLetter" rows="6" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'></oj-text-area>
					</div>
					<div class="12u$ 12u$(small)">
						<oj-file-picker on-oj-select='[[selectListener]]' style='max-width: 100%;'>
							<div tabindex='0' slot='trigger'
								  class='oj-filepicker-dropzone'>
							   <p class='oj-filepicker-text'><br/>I'm a clickable dropzone<br/>Add Supporting Document</p>
							</div>
						</oj-file-picker>
						<br/>
						<div style="width: 100%;">
						  <oj-progress value="{{progressValue}}" class='oj-progress-bar-embedded' 
							max="100" style="height:30px;"></oj-progress>
						  <div class="oj-progress-bar-start-label">0%</div>
						  <div class="oj-progress-bar-end-label">100%</div>
						</div>
						<br/>
						<span id="selectedFile"></span>
					</div>
					
					<div class="12u$ 12u$(medium)">
					<span id="status"></span>
					</div>
					<div class="6u$ 12u$(medium)">
						<div class="row uniform">
							<div class="6u 12u$(small)">
								<a href="#" class="button special fit small" data-bind="click: saveFXRequestAction">Submit FX Request</a>
								
							</div>
							<div class="6u$ 12u$(small)">
								<a href="#" class="button special fit small" data-bind="click: newButtonAction">Reset</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			
			<div id="searchView" class="12u$ 12u$(small)">
				<div class="row uniform">
					<div class="12u$ 12u$(small)">
						<span id="pstatus"></span>
					</div>
					<div class="6u 12u$(small)">
						<oj-input-text placeholder='Search Description' id="txtSearch"  inputmode="number"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u$ 12u$(small)">
						<a href="#" class="button default icon fa-search" data-bind="click: searchButtonAction">Search</a>
					</div>
					
					<div class="12u$ 12u$(medium)">
						<oj-table id="formMList" aria-label="Form M List"
							data='[[paginDataSource]]' 
							display='grid'
							selection-mode='{"row": "single"}'
							columns-default='{"sortable": "enabled"}' 
							columns='[
									  
									  {"headerText": "Branch Name",  "field": "branchName", "style": "width: 15%"},
									   
									  {"headerText": "Form Prefix", "field": "formPrefix", "style": "width: 15%"},
									  
									  {"headerText": "Form M No.",  "field": "formmnumber", "style": "width: 15%"},
									   
									  {"headerText": "Application No.", "field": "applicationnumber", "style": "width: 15%"},
									   
									  {"headerText": "Description", "field": "description", "style": "width: 40%"}
									   
									  ]' 
							style='width: 100%;'>
							<oj-paging-control id="paging" data='[[paginDataSource]]' page-size='5' slot='bottom'>
							</oj-paging-control>
						</oj-table>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button fit special icon fa-search" data-bind="click: selectFormButtonAction">Use Selected</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button fit default icon fa-search" data-bind="click: cancelSearchButtonAction">Cancel</a>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>


